# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-genmarshal /usr/bin/glib-mkenums /usr/bin/gpgme-config gcc-c++ libgio-devel pkgconfig(atk) pkgconfig(cairo) pkgconfig(gio-2.0) pkgconfig(glib-2.0) pkgconfig(gmodule-2.0) pkgconfig(gthread-2.0) pkgconfig(libecal-1.2) pkgconfig(libedataserver-1.2)
# END SourceDeps(oneline)
%define fedora 19
%global		majorVersion 0.10
%global		spellcheck 0

Name:		almanah
Version:	0.10.1
Release:	alt1_1
Summary:	Application for keeping an encrypted diary
Group:		Graphical desktop/GNOME
License:	GPLv3+
URL:		http://tecnocode.co.uk/projects/almanah/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/almanah/%{majorVersion}/%{name}-%{version}.tar.xz
BuildRequires:	gettext
BuildRequires:	libgpgme-devel
BuildRequires:	libsqlite3-devel
BuildRequires:	libgtk+3-devel
# gtkspell still pulls in gtk2
%if 0%{?spellcheck}
BuildRequires:	libgtkspell-devel
%endif
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
BuildRequires:	evolution-devel
%if 0%{fedora} <= 15
BuildRequires:	libseahorse-devel
%else
BuildRequires:	libcryptui-devel
%endif
Source44: import.info

%description
Almanah Diary is a small application to ease the management of an encrypted
personal diary. It's got good editing abilities, including text formatting 
and printing. Evolution tasks and appointments will be listed to ease the 
creation of diary entries related to them. At the same time, you can create
diary entries using multiple events.

%prep
%setup -q
sed -e 's/_//' \
    -e 's/=Diary/=Almanah/' \
    -i data/%{name}.desktop.in

%build
CFLAGS="${RPM_OPT_FLAGS} -D_FILE_OFFSET_BITS=64" %configure --enable-encryption \
%if 0%{?spellchecking}
--enable-spell-checking
%else
--disable-spell-checking
%endif
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

%find_lang %{name}


%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/%{name}.schemas > /dev/null || :
fi

%files -f %{name}.lang
%doc AUTHORS COPYING NEWS README ChangeLog
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/GConf/gsettings/%{name}.convert
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml

%changelog
* Thu Apr 25 2013 Igor Vlasenko <viy@altlinux.ru> 0.10.1-alt1_1
- initial fc import

* Mon Oct 11 2010 Yuri N. Sedunov <aris@altlinux.org> 0.7.3-alt3
- rebuild against new e-d-s-2.32.0 libraries

* Mon Jun 21 2010 Yuri N. Sedunov <aris@altlinux.org> 0.7.3-alt2
- rebuild against libedataserver-1.2.so.13 (e-d-s-2.30.2)

* Sun Apr 18 2010 Yuri N. Sedunov <aris@altlinux.org> 0.7.3-alt1
- 0.7.3

* Sun Jan 31 2010 Yuri N. Sedunov <aris@altlinux.org> 0.7.2-alt1
- 0.7.2

* Sun Jan 03 2010 Yuri N. Sedunov <aris@altlinux.org> 0.7.1-alt1
- first build for Sisyhus


